## glib1.2 1.2.10+20250921

=== debian/changelog ===
glib1.2 (1.2.10+20250921-1) unstable; urgency=low

  * New GIT snapshot.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Remove patches, all merged upstream.
  * Updating package to debhelper 13.
  * Updating package to standards version 4.7.3.
  * Drop the package suffix from the ldbl128 transition.
  * Remove -dbg package
  * Do not install glib-config, this tool is obsolete.
  * Replace texi2html with makeinfo.
  * d/watch: switch to v5

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 11 Jan 2026 11:16:27 +0100

glib1.2 (1.2.10-20) unstable; urgency=low

  * Using quilt to store upstream modifications.
  * Updating package to standards version 3.8.2.
  * Rewriting copyright file in machine-interpretable format.
  * Using lintian debhelper to install lintian overrides.
  * Updating section in doc-base file.
  * Updating section of the debug and the dev package.
  * Removing useless dir info file.
  * Minimizing rules file.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Aug 2009 09:24:27 +0200

glib1.2 (1.2.10-19) unstable; urgency=low

  * Fixed package name in shlibs (Closes: #432634).

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Jul 2007 08:33:00 +0200

glib1.2 (1.2.10-18) unstable; urgency=low

  * ldbl128 transition (Closes: #430251).
  * Minor formal cleanups.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Jul 2007 14:25:00 +0200

glib1.2 (1.2.10-17) unstable; urgency=low

  * Added patch from Petr Salinger <Petr.Salinger@seznam.cz> for proper
    libtoolizing (Closes: #261315).
  * Moved sections to oldlib.

 -- Daniel Baumann <daniel@debian.org>  Fri, 01 Dec 2006 10:01:00 +0100

glib1.2 (1.2.10-16) unstable; urgency=low

  * Fixed underquoted glib.m4 (Closes: #396667).

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Nov 2006 09:33:00 +0100

glib1.2 (1.2.10-15) unstable; urgency=low

  * Relibtoolized in order to make it build on kfreebsd (Closes: #261315).

 -- Daniel Baumann <daniel@debian.org>  Tue, 28 Nov 2006 17:29:00 +0100

glib1.2 (1.2.10-14) unstable; urgency=medium

  * Added patch from Roland Stigge <stigge@antcom.de> to add check for
    negative values in g_printf_string_upper_bound() (Closes: #387582).

 -- Daniel Baumann <daniel@debian.org>  Sun, 29 Oct 2006 15:43:00 +0200

glib1.2 (1.2.10-13) unstable; urgency=low

  * Readded temporary libglib-dev provides to libglib1.2-dev (Closes: #391239).

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Oct 2006 21:01:00 +0200

glib1.2 (1.2.10-12) unstable; urgency=low

  * New maintainer (Closes: #390845).
  * Acknoledge NMU (Closes: #222892, #263042, #323511).
  * Redone debian directory based on current debhelper templates, additionally:
    - added lintian overrides.
    - dropping useless README.Debian.
    - fixed conflicts (Closes: #356895).
    - merged libglib1.2-doc into libglib1.2-dev (useless micropackaging for two
      html files; no other package has a relation to libglib1.2-doc).
    - removed pre-sarge conflicts/replaces.

 -- Daniel Baumann <daniel@debian.org>  Tue, 03 Oct 2006 15:14:00 +0200

glib1.2 (1.2.10-11) unstable; urgency=low

  * Orphan this package.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 03 Oct 2006 18:50:20 +0900

glib1.2 (1.2.10-10.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Remove __const__ from __asm__ declarations in glib.h.  This makes gcc
    happier and should make gabber buildable; thanks to Tollef Fog Heen for
    the patch.  Closes: #323511.

 -- Steve Langasek <vorlon@debian.org>  Wed, 11 Jan 2006 03:06:34 -0800

glib1.2 (1.2.10-10) unstable; urgency=low

  * gstrfuncs.c:
    - patch from Andreas Jochens <aj@andaco.de> to fix the build with gcc4
      (Closes: #263042).

 -- Sebastien Bacher <seb128@debian.org>  Wed, 04 May 2005 12:10:14 +0200

glib1.2 (1.2.10-9) unstable; urgency=low

  * debian/control:
    - bumped Standards-Version to 3.5.10.0.
    - changed the sections for libglib1.2-dev and libglib1.2-dbg to libdevel.
  * debian/compat:
    - use it instead of DH_COMPAT.
  * gmodule/Makefile.in, gthread/Makefile.in:
    fix the undefined non-weak symbols. (closes: Bug#193347)

 -- Akira TAGOH <tagoh@debian.org>  Sun, 18 May 2003 00:00:17 +0900

glib1.2 (1.2.10-8) unstable; urgency=low

  * Fixed libtool issue on mispel. (closes: Bug#183793)
  * acinclude.m4, ltconfig:
    - removed. it contained the old libtool stuff.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 11 Mar 2003 23:36:10 +0900

glib1.2 (1.2.10-7) unstable; urgency=low

  * debian/rules:
    - fix twice modified the maintainer script for dh_installdocs.
    - support DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE.
    - support noopt and nostrip for DEB_BUILD_OPTIONS.
    - copy the latest config.sub and config.guess. (closes: Bug#181942)
    - don't call ldconfig for -dbg package.
  * debian/control:
    - bumped Standards-Version to 3.5.8.
    - updated Build-Depends.
    - split the documentation files into libglib1.2-doc.
  * debian/libglib1.2-doc.info: add glib.info. (closes: Bug#159677)

 -- Akira TAGOH <tagoh@debian.org>  Thu, 27 Feb 2003 00:12:39 +0900

glib1.2 (1.2.10-6) unstable; urgency=low

  * debian/control:
    - removed libc6-dev from Build-Depends.
    - changed libc6-dev to libc6-dev | libc-dev in -dev's Depends.

 -- Akira TAGOH <tagoh@debian.org>  Thu, 22 Aug 2002 02:02:32 +0900

glib1.2 (1.2.10-5) unstable; urgency=low

  * debian/control: add libc6-dev to Depends for -dev (closes: Bug#147653)

 -- Akira TAGOH <tagoh@debian.org>  Wed, 22 May 2002 23:58:14 +0900

glib1.2 (1.2.10-4) unstable; urgency=low

  * debian/control: Fixed build-depends for NetBSD/i386 (closes: Bug#133443)

 -- Akira TAGOH <tagoh@debian.org>  Wed, 13 Feb 2002 02:22:20 +0900

glib1.2 (1.2.10-3) unstable; urgency=low

  * Closed a NMU bug. (closes: Bug#93932)
  * Fixed description typo (closes: Bug#102988)
  * -dbg package contains shared libraries for debugging. so if you
    need static link, add -static to compiler option and use

