=== debian/control ===
Source: glib1.2
Section: oldlibs
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Homepage: https://github.com/twolife/glib-1.2/
Build-Depends: debhelper-compat (= 13), texinfo, texi2html
Standards-Version: 4.7.2

Package: libglib1.2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libglib1.2ldbl
Replaces: libglib1.2ldbl
Description: GLib library of C routines
 GLib is a library containing many useful C routines for things such as trees,
 hashes, and lists. GLib was previously distributed with the GTK+ toolkit, but
 has been split off as of version 1.1.0.

Package: libglib1.2-dev
Section: libdevel
Architecture: any
Depends: libglib1.2 (= ${binary:Version}), pkgconf, ${misc:Depends}
Provides: libglib-dev
Description: Development files for the GLib library
 GLib is a library containing many useful C routines for things such as trees,
 hashes, and lists. GLib was previously distributed with the GTK+ toolkit, but
 has been split off as of version 1.1.0.
 .
 This package contains the development files.
