=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=abi=+lfs hardening=+all

%:
	dh ${@}

override_dh_auto_clean:
	[ ! -f docs/Makefile ] || make -C docs distclean
	dh_auto_clean

	rm -f config.guess config.sub docs/glib.info

override_dh_auto_configure:
	cp -f /usr/share/misc/config.guess config.guess
	cp -f /usr/share/misc/config.sub config.sub

	dh_auto_configure -- --enable-debug=yes

execute_after_dh_auto_build:
	make -C docs glib.html

override_dh_auto_install:
	dh_auto_install

	rm -f debian/tmp/usr/share/info/dir*
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp/ -name '*.la'`
